Bug 1128440 - No error message displayed when a user with insufficient permissions tries to add new vm from template
Summary: No error message displayed when a user with insufficient permissions tries to...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.0
Assignee: bugs@ovirt.org
QA Contact: Pavel Stehlik
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 13:08 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-02 11:03:07 UTC
oVirt Team: Virt


Attachments (Terms of Use)
images (93.05 KB, application/gzip)
2014-08-10 13:08 UTC, Ori Gofen
no flags Details
image (59.68 KB, image/png)
2014-08-11 15:04 UTC, Ori Gofen
no flags Details
screen-cast: marking side-section as invalid (1.27 MB, video/ogg)
2014-08-13 17:33 UTC, Einav Cohen
no flags Details

Description Ori Gofen 2014-08-10 13:08:52 UTC
Created attachment 925504 [details]
images

Description of problem:
see attachment

Version-Release number of selected component (if applicable):
rc1

How reproducible:
100%

Steps to Reproduce:
1.try to add vm from a template(not 'Blank') when not having sufficient permissions

Actual results:
no error

Expected results:
should display an error message like : "insufficient permissions to execute this command"

Additional info:

Comment 1 Michal Skrivanek 2014-08-11 14:12:56 UTC
I guess you attached wrong pictures...

Comment 2 Ori Gofen 2014-08-11 15:04:05 UTC
Created attachment 925809 [details]
image

Oops,forgot the important one

Comment 3 Michal Skrivanek 2014-08-12 06:20:15 UTC
so which permissions did you have?

Comment 4 Ori Gofen 2014-08-12 06:31:04 UTC
i had cluster admin on a specific cluster without permissions on dc

Comment 5 Michal Skrivanek 2014-08-12 14:12:20 UTC
seems you have an error somewhere…did you check the other tabs? Is the first attachment from the same attempt? If so then you have missing target SD in red. When you switch the tab it's not highlighted though

Comment 6 Ori Gofen 2014-08-13 07:39:52 UTC
Michal,All images are from the same attempt, the problem is that when trying to add vm from template , UI does not prompt any Error.
gui remains indifferent to this command though the button is pushed clearly ( see comment #2 ).

Then,when entering the resource allocation tab, the target domain boxes are highlighted in red,but with no explanation at all.

Expected results:
On vm creation menu (see attachment comment #2 ) - an error message like "insufficient permissions to execute this command"

On resource allocation menu (see attachment at description) - target domain boxes
are highlighted in red(that's good) and I expect to see some kind of text that clarifies things: " you have insufficient permissions to make changes on storage domains"

Comment 7 Michal Skrivanek 2014-08-13 07:57:43 UTC
(In reply to Ori from comment #6)
this is a general issue with validation in dialogs with subtabs. 
@Einav, thoughts? I would say the tab should be always highlighted too. Also in my opinion the highlight is often very easy to miss, it would help when the frame is a bit more thick, or perhaps some other additional balloon popup or something

Comment 8 Einav Cohen 2014-08-13 17:33:25 UTC
Created attachment 926544 [details]
screen-cast: marking side-section as invalid

Comment 9 Einav Cohen 2014-08-13 17:37:17 UTC
AFAIK, the problem here is that the "resource allocation" side-section is not marked as invalid - need to fix that (we are already doing that everywhere else - see attachment 926544 [details] to see one example). 

we (ux) have an RFE open for improving the code infrastructure so that the code will automatically mark a side-section as invalid in case it identifies at least one invalid field in it [instead of the developer marking that side-section as invalid manually (see bug 1123620)]; this RFE is not targeted to any foreseeable engine release, therefore if you would like to resolve the particular "resource allocation" issue soon, you would have to do that manually. 

with regards to improving the highlighting nature itself: this is a separate issue; the idea is to adopt the PatternFly styling, which is completely different than what we have today (including invalid-input notification).

Comment 10 Michal Skrivanek 2014-08-14 07:07:49 UTC
Ori, please check the behavior once you fill in the target SD.

Comment 11 Ori Gofen 2014-08-14 12:27:00 UTC
Michal,please explain what do you mean by "fill in the target SD"

Comment 12 Michal Skrivanek 2014-08-14 12:29:24 UTC
that's your actual error in the resource allocation subtab, the disks' target storage domain

Comment 13 Ori Gofen 2014-08-14 12:44:30 UTC
Why is that?,the user lacks the required permissions to add the vm because this operation makes changes on the sd,the user (none admin) doesn't see the targets, that's fair enough due to lack of permissions on dc, the problem is that "creation menu" remains indifferent to the attempt of creating vm and doesn't prompt any error nor explanation

Comment 14 Michal Skrivanek 2015-06-02 11:03:07 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.